Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-uid-number
Version:    0.0.6
Release:    alt1_7
Summary:    Convert a username/group name to a UID/GID number
License:    BSD
URL:        https://github.com/isaacs/uid-number
Source0:    http://registry.npmjs.org/uid-number/-/uid-number-%{version}.tgz
BuildArch:  noarch

BuildRequires:  node-devel rpm-build-nodejs
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/uid-number
cp -pr *.js package.json %{buildroot}%{nodejs_sitelib}/uid-number

chmod 0644 %{buildroot}%{nodejs_sitelib}/uid-number/get-uid-gid.js

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%{nodejs_sitelib}/uid-number
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_8
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_7
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_5
- initial import

